/*

	Quick and Dirty Game Development Framework (QDGDF)

	Copyright (C) 2001 Angel Ortega <angel@triptico.com>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	http://www.triptico.com

*/

#ifndef QDGDF_AUDIO_H_
#define QDGDF_AUDIO_H_

#include <stdio.h>

extern int _qdgdfa_sound;
extern char _qdgdfa_window_title[150];
extern int _qdgdfa_16_bit;

FILE * qdgdfa_load_wav(char * filename, int * size, int * bits);
int qdgdfa_load_sound(char * wavfile);
void qdgdfa_play_sound(int snd, int loop);
void qdgdfa_stop_sound(int snd);
void qdgdfa_set_pan(int snd, int pan);
void qdgdfa_reset(void);
void qdgdfa_pause(int p);
void qdgdfa_startup(void);
void qdgdfa_shutdown(void);
void qdgdfa_restart(void);

#endif /* QDGDF_AUDIO_H_ */

