#ifndef INTQUEUE_H_
#define INTQUEUE_H_

#include <stdlib.h>
#include <string.h>

#define IQ_REALLOC_SIZE 10

typedef struct IntQueue_ {
	int *queue;
	size_t num;
	size_t size;
} IntQueue;

int IQRealloc(IntQueue *iq, size_t howmuch);

IntQueue *IQInit(size_t size);

int IQPush(IntQueue *iq, int data);
		
int IQPop(IntQueue *iq, int *data);

int IQCopy(IntQueue *dest, IntQueue *src);

//#define IQClear(iq) (((IntQueue *)(iq))->num = 0)
void IQClear(IntQueue *iq);

void IQSort(IntQueue *iq);

#define IQNum(iq) (((IntQueue *)iq)->num)
	
void IQDestroy(IntQueue *iq);

#endif /* INTQUEUE_H_ */

