#include "intqueue.h"
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char *argv[]) {
	int i = 1;
	int j;
	IntQueue *iq;
	iq = IQInit(2);
	if(iq == NULL) {
		puts("IQInit failure");
		return EXIT_FAILURE;
	}
	for(; i < argc; i++) {
		for(j = 0; j < strlen(argv[i]); j++) {
			IQPush(iq, (int)argv[i][j]);
		}
	}

	while(IQPop(iq, &i)) printf("%c\n", i);

	IQDestroy(iq);

	return 0;
}

